package de.hottis.MeasurementCollector;

import java.util.List;
import java.util.Properties;
import java.util.concurrent.ConcurrentLinkedQueue;

public class MeasurementCollector {
	static final String PROPS_FILENAME = "measurementCollector.props";
	
	
	public static void main(String[] args) throws Exception {
		System.out.println("MeasurementCollector starting");
		
		final Properties config = new Properties();
		config.load(MeasurementCollector.class.getClassLoader().getResourceAsStream(PROPS_FILENAME));
		
		MqttReceiver mqttReceiver = new MqttReceiver(config);
		mqttReceiver.connect();

		// TestParser testParser = new TestParser();
		// mqttReceiver.registerParser(testParser);
		
		ConcurrentLinkedQueue<List<ADataObject>> queue = new ConcurrentLinkedQueue<List<ADataObject>>();
		
		MBusParser mbusParser = new MBusParser(queue);
		mqttReceiver.registerParser(mbusParser);
		
	}
		
}
